import { j as __vitePreload } from "./index.810ffa2d.js";
import { c as config } from "./config.16ad6743.js";
import { at as defineAsyncComponent, r as ref, b as computed } from "./vendor.07f7b9b8.js";
const NavbarLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.48056d73.js"), true ? ["assets/AppLayout.48056d73.js","assets/AppLayout.051eba33.css","assets/index.810ffa2d.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.6b5a741d.js","assets/VAvatar.e217127b.js","assets/VControl.716059a0.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.970f8911.js","assets/VDropdown.a3bb2333.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.f6f03d4a.js","assets/masterService.5586de38.js","assets/config.16ad6743.js"] : void 0));
const NavbarDropdownLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.48056d73.js"), true ? ["assets/AppLayout.48056d73.js","assets/AppLayout.051eba33.css","assets/index.810ffa2d.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.6b5a741d.js","assets/VAvatar.e217127b.js","assets/VControl.716059a0.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.970f8911.js","assets/VDropdown.a3bb2333.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.f6f03d4a.js","assets/masterService.5586de38.js","assets/config.16ad6743.js"] : void 0));
const NavbarSearchLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.48056d73.js"), true ? ["assets/AppLayout.48056d73.js","assets/AppLayout.051eba33.css","assets/index.810ffa2d.js","assets/index.ed24e122.css","assets/vendor.07f7b9b8.js","assets/VIconButton.6b5a741d.js","assets/VAvatar.e217127b.js","assets/VControl.716059a0.js","assets/VControl.66ed690d.css","assets/VField.3e3f434e.js","assets/VModal.05bf9bc5.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.970f8911.js","assets/VDropdown.a3bb2333.js","assets/VDropdown.c0bc1257.css","assets/VIcon.72bd6243.js","assets/mesaService.f6f03d4a.js","assets/masterService.5586de38.js","assets/config.16ad6743.js"] : void 0));
const layoutsComponents = {
  "navbar-default": NavbarLayout,
  "navbar-fade": NavbarLayout,
  "navbar-colored": NavbarLayout,
  "navbar-dropdown": NavbarDropdownLayout,
  "navbar-dropdown-colored": NavbarDropdownLayout,
  "navbar-clean": NavbarSearchLayout,
  "navbar-clean-center": NavbarSearchLayout,
  "navbar-clean-fade": NavbarSearchLayout
};
const navbarLayoutId = ref("navbar-default");
computed(() => {
  return layoutsComponents[navbarLayoutId.value] || NavbarLayout;
});
computed(() => {
  switch (navbarLayoutId.value) {
    case "navbar-fade":
    case "navbar-clean-fade":
      return "fade";
    case "navbar-colored":
    case "navbar-dropdown-colored":
      return "colored";
    case "navbar-clean-center":
      return "center";
    default:
      return "default";
  }
});
const pageTitle = computed(() => config.brandName);
export { pageTitle as p };
